Bug 511095 - Kickstart "kernel options" only allows a key to be set once
Kickstart "kernel options" only allows a key to be set once
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Dimitar Yordanov
Depends On:
Blocks: sat550-lowbug
  Show dependency treegraph
Reported: 2009-07-13 12:03 EDT by John Matthews
Modified: 2012-09-21 05:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-21 05:34:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Matthews 2009-07-13 12:03:48 EDT
Description of problem:
I am attempting to kickstart a RHTS box.  I want to keep the kernel options used during it's initial setup.

The box was kickstarted with these options:
--append="console=tty0 console=ttyS0,115200"

I attempted to set them in the /rhn/kickstart/KickstartDetailsEdit.do page.
When I submit the form, the first "console=tty0" option/value is dropped.

This is verified when looking at the kickstart file itself.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a new kickstart profile
2. Edit both kernel and post kernel options
3. Set string to:  "console=tty0 console=ttyS0,115200"
4. Submit form
Actual results:
kernel params come back as: "console=ttyS0,115200"

Expected results:
"console=tty0 console=ttyS0,115200"
Also need to verify: Actual kickstart file at rhn/kickstart/KickstartFileDownload.do?ksid=  is rendered with correct options

Additional info:
Comment 1 Clifford Perry 2009-07-13 12:42:46 EDT
Cobbler cannot currently do this. As such - we will not be able to provide this capability for 530 GA. Moving off proposed for 530. 

Comment 4 Tomas Lestach 2012-08-13 12:01:59 EDT
I remember this was fixed in upstream within Bug 672652
Comment 7 Clifford Perry 2012-09-21 05:34:13 EDT
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:


The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

- Engineering Manager, Satellite

Note You need to log in before you can comment on or make changes to this bug.